package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ReplacementPayDto {
    @ApiModelProperty(value = "调查id", required = true)
    private Integer id;

    @ApiModelProperty(value = "支付金额", required = true)
    private BigDecimal amount;

    @ApiModelProperty(value = "是否使用余额", required = true)
    private Boolean useBalance = false;

    @ApiModelProperty(value = "重新支付", required = true)
    private Boolean rePay = false;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getUseBalance() {
        return useBalance;
    }

    public void setUseBalance(Boolean useBalance) {
        this.useBalance = useBalance;
    }

    public Boolean getRePay() {
        return rePay;
    }

    public void setRePay(Boolean rePay) {
        this.rePay = rePay;
    }
}
